/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/
package san.application;

import san.core.IApplicationAPI;
import san.ident.Guid;

/**
 * <b>Title:</b> Smart Active Node<br> <b>Description:</b> Interface which must implement application class with program. This class must have default constructor. <br>
 * @author   Michal Rejda
 * @since   20.10.2007
 * @version   1.0
 * @uml.dependency   supplier="san.core.IApplicationAPI"
 */
public interface IApplication {

	/**
	 * Application main class.
	 */
	public abstract void main(String[] args, IApplicationAPI applicationAPI, Guid guid);
}
