/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/

package san.core;


/**
 * <b>Title:</b> Smart Active Node<br>
 * <b>Description:</b> Represent exception, witch occurs by executing the command.<br>
 * @author Michal Rejda
 * @since 28.9.2007
 * @version 1.0
 */
public class ExecuteException extends Exception {
	
	public ExecuteException(String message) {
		super(message);
	}
}
