package san.core.fiber.api;



/**
 *
 * @author Jiri Nohavec
 */
public interface IConditionAPI {



    public boolean conditionInitialize(int conditionId);



    public boolean conditionDestroy(int conditionId);



    public void conditionWait(int conditionId);



    public boolean conditionWait(int conditionId, long timeout) throws IllegalArgumentException;



    public void conditionSignalOne(int conditionId);



    public void conditionSignalAll(int conditionId);



    public int conditionGetWaitingCount(int conditionId);
}
