package san.core.fiber.api;



/**
 *
 * @author Jiri Nohavec
 */
public interface IInfoAPI {



    public int getApplicationsStartedCount();
    public int getApplicationsFinishedCount();
    public int getApplicationsFailedCount();
    public int getCapsulesStartedCount();
    public int getCapsulesFinishedCount();
    public int getCapsulesFailedCount();
    public int getSpecialCallStartedCount();
    public int getSpecialCallFinishedCount();
    public int getSpecialCallFailedCount();
    public String getStartupTime();
    public String getRunTime();
    public int getPhysicalCPUCount();
    public int getVirtualCPUCount();
    public int getMaxCapsulesRunning();
    public long getSchedulerSleepInterval();
    public String getSchedulerStrategy();
    public boolean isDeadlockDetectorEnabled();
    public long getDeadlockDetectorSleepInterval();
}
