/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/

package san.networkInterfaces;

import java.io.IOException;
import java.net.ServerSocket;

/**
 * <b>Title:</b> Smart Active Node
 * <b>Description:</b> Represents tcp connection.
 * @author Jan Boháč, Michal Rejda
 * @since 29.11.2006
 * @version 1.0
 */
public class TcpConnection extends ServerSocket implements Connection {
	
	/**
	 * @see java.net.ServerSocket#ServerSocket()
	 */
	public TcpConnection(int port) throws IOException {
		super(port);
	}
	
	public int getLocalPort() {
		return super.getLocalPort();
	}
}
