/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/

package san.networkInterfaces;

/**
 * <b>Title:</b> Smart Active Node
 * <b>Description:</b> This class allow to incoming UDP connection 
 * 						for Capsules transport.<br> 
 * @author Jan Boháč, Michal Rejda
 * @since 30.10.2006
 * @version 1.0
 */
public class UdpListener extends NetListener {
	
	UdpListener(RemoteInterface remoteInterface) {
		super(remoteInterface);
		this.running = false;
	}
	
	void listen() {
		//todo listen is not implemented
		new RuntimeException("Not implemented");
	}

	void stop() {
		//todo stop is not implemented
		new RuntimeException("Not implemented");
	}
}
