/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package san.security.Crypto;

import java.security.*;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;

/**
 *
 * @author Vladimír Aubrecht
 */
public class CryptUtil
{
    private static Cipher cipher = null;

    static
    {
        try
        {
            cipher = Cipher.getInstance("RSA");
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
        }
    }

    public static byte[] getEncryptedBytes(byte[] messageBytes, PublicKey publicKey) throws InvalidKeyException, IllegalBlockSizeException, BadPaddingException
    {
        cipher.init(Cipher.ENCRYPT_MODE, publicKey);
        byte[] encryptedBytes = cipher.doFinal(messageBytes);

        return encryptedBytes;
    }

    public static byte[] getDecryptedBytes(byte[] messageBytes, PrivateKey privateKey) throws InvalidKeyException, IllegalBlockSizeException, BadPaddingException
    {
        cipher.init(Cipher.DECRYPT_MODE, privateKey);
        byte[] decryptedBytes = cipher.doFinal(messageBytes);

        return decryptedBytes;
    }
}
