package san.interpreter.sanint.fiber.call;



import san.data.TransmitData;
import san.ident.Guid;



/**
 *
 * @author Jiri Nohavec
 */
public class ReceiveDataCall extends ISpecialCall {



    private final Guid receiverId;
    private final Guid senderId;
    private final TransmitData transmitData;



    public ReceiveDataCall(Guid receiverId, Guid senderId, TransmitData transmitData) {
        super(Type.RECEIVE_DATA);
        this.receiverId = receiverId;
        this.senderId = senderId;
        this.transmitData = transmitData;
    }



    public Guid getReceiverId() {
        return receiverId;
    }



    public Guid getSenderId() {
        return senderId;
    }



    public TransmitData getTransmitData() {
        return transmitData;
    }
}
