package san.interpreter.sanint.fiber.call;



import san.interpreter.sanint.classLoading.Reference;



/**
 *
 * @author Jiri Nohavec
 */
public class RendezVousCall extends ISpecialCall {



    private final String entryName;
    private final Object entryParameter;
    private final Reference reference;



    public RendezVousCall(String entryName, Object entryParameter, Reference reference) {
        super(Type.RENDEZ_VOUS);
        this.entryName = entryName;
        this.entryParameter = entryParameter;
        this.reference = reference;
    }



    public String getEntryName() {
        return entryName;
    }



    public Object getEntryParameter() {
        return entryParameter;
    }



    public Reference getReference() {
        return reference;
    }
}
