/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/
package san.networkInterfaces;

import san.data.TransmitCapsule;

/**
 * <b>Title:</b> Smart Active Node <br>
 * <b>Description:</b>This class send capsules by using UDP connection.<br>
 * @author Jan Boháč, Michal Rejda
 * @since 3.11.2006
 * @version 1.0
 */
public class UdpOut extends NetOut {

	UdpOut(RemoteInterface remoteInterface) {
		super(remoteInterface);
	}

	public void send(TransmitCapsule bc) {
		// TODO not implemented
		throw new RuntimeException("Not implemented");
	}
}
