/*************************************************************************
 *                           Smart Active Node                           *
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/

package san.RendezVous;

import san.ident.Guid;

/**
 * One registered entry call
 * @author Miroslav Hendrych
 */
public class EntrySet {
    private Integer id;
    private Guid server;
    private String name;

    public EntrySet(Integer id, Guid server, String name) {
        this.id = id;
        this.server = server;
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public Guid getServer() {
        return server;
    }
}
