/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package san.ii;

import java.io.*;
import java.net.Socket;
import org.apache.log4j.Logger;

/**
 * This class takes care about one connected client to the ii socket.
 * The run method takes care about rx (continuous loop) and for tx call
 * the method sendPayload
 * @author kubajz
 */
class InterceptorThread extends Thread {

  private static final transient Logger log = Logger.getLogger(InterceptorThread.class);
  private Socket socket = null;
  
  DataInputStream in;

  public InterceptorThread(Socket socket) {
    super("InterceptorInjectorThread");
    this.socket = socket;

    try {
     
      in = new DataInputStream(socket.getInputStream());
    } catch (IOException ex) {
      log.error(ex);
    }
  }

  @Override
  /**
   * receives packets from client and stores them into payloadStorage
   */
  public void run() {
    try {
      while (true) {
        PacketSerializer pr = new PacketSerializer(in);
        Packet p = pr.readPacket();
        InterceptorInjector.getInterceptorInjector().storePayload(p);
      }
    } catch (Exception e) {
      log.error(e);
    }
  }
}
