/*************************************************************************
 *                           Smart Active Node                           *
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/
package san.ii;

/**
 * This class implements data storage for payload of ii packets
 *
 * @author kubajz
 */
public class Packet {

  String appName;
  String[] appParameters;
  byte[] payload;

  public Packet(String appName, String[] appParameters, byte[] payload) {
    this.appName = appName;
    this.appParameters = appParameters;
    this.payload = payload;
  }

  public byte[] getPayload() {
    return payload;
  }

  public String getApplicationName() {
    return appName;
  }

  public String[] getApplicationParameters() {
    return appParameters;
  }

  
}
