package san.interpreter.sanint.fiber.override;



import san.core.Process;
import san.interpreter.sanint.fiber.InterpretingException;
import san.interpreter.sanint.interpreter.InterpreterStack;
import san.interpreter.sanint.interpreter.References;



/**
 *
 * @author Jiri Nohavec
 */
public class YieldMethodCall extends IMethodCall {



    public YieldMethodCall() {
        super(true, "java.lang.Thread.yield", "()V");
    }



    @Override
    public void execute(References references,
                        InterpreterStack stack,
                        Process process) throws InterpretingException {
        process.yield();
    }
}
