/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/

package san.networkInterfaces;


/**
 * <b>Title:</b> Smart Active Node
 * <b>Description:</b> Connection to the remote interface.
 * @author Jan Boháč, Michal Rejda
 * @since 29.11.2006
 * @version 1.0
 */
public interface Connection {
	
	/**
	 * Return the local port asociated with this connection.
	 */
	public int getLocalPort();
}
