/*************************************************************************
 *                           Smart Active Node                           * 
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/
package san.networkInterfaces;

/**
 * <b>Title:</b> Smart Active Node<br>
 * <b>Description:</b> This interface is listener, that listen to lost
 * connection to another node.<br>
 * @author Michal Rejda
 * @since 6.12.2007
 * @version 1.0
 */
public interface IConnectionLostListener {

	/**
	 * Connection was lost.
	 */
	public abstract void connectionLost(Object sender,
			RemoteInterface remoteInterface);
}
