/*************************************************************************
 *                           Smart Active Node                           *
 *                 copyright (c) since 2007 KIV-FAV-ZCU                  *
 *************************************************************************
 * The license for this code is included in LICENSE.txt.  If you did not *
 * get this file with this distribution, request a copy from:            *
 * txkoutny@kiv.zcu.cz                                                   *
 *************************************************************************/
package san.RendezVous;

/**
 * Interface for rendez-vous server class
 * @author Miroslav Hendrych
 */
public interface IRendezvousServer {
    /**
     * Rendez-vous entry method
     * @param name Entry call name
     * @param param Parameter of entry call
     * @return Returned value
     */
    public Object entry(String name, Object param);
}
