package san.core.fiber.log;



import org.apache.log4j.Logger;



/**
 *
 * @author Jiri Nohavec
 */
public class FiberUncaughtExceptionHandler implements Thread.UncaughtExceptionHandler {



    private final Logger logger;



    public FiberUncaughtExceptionHandler(Logger logger) {
        this.logger = logger;
    }



    public void uncaughtException(Thread t, Throwable e) {
        logger.error(String.format("Exception occurred in %s", t.getName()), e);
    }
}
